
Namespace Data

    ''' <summary>
    ''' Represents a list that can be filtered.
    ''' </summary>
    ''' <remarks></remarks>
    Public Interface IFilterList

        ''' <summary>
        ''' Returns a list filtered by the specified filter info.
        ''' </summary>
        ''' <param name="fInfo">The Mercury.Mobile.Data.FilterInfo specifying the filter parameters.</param>
        ''' <returns>A list filtered by the specified filter info.</returns>
        ''' <remarks></remarks>
        Function Filter(ByVal fInfo As FilterInfo) As IList
    End Interface

End Namespace